apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: tektoncd-anyuid
  namespace: {{ .Values.targetNamespace }}
rules:
# Allow webhook pods to run with any UID
- apiGroups:
  - security.openshift.io
  resourceNames:
  - anyuid
  resources:
  - securitycontextconstraints
  verbs:
  - use

---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: tektoncd-anyuid
  namespace: {{ .Values.targetNamespace }}
subjects:
- kind: ServiceAccount
  name: tekton-pipelines-controller
- kind: ServiceAccount
  name: tekton-pipelines-webhook
- kind: ServiceAccount
  name: tekton-operators-proxy-webhook
- kind: ServiceAccount
  name: tekton-triggers-controller
- kind: ServiceAccount
  name: tekton-triggers-core-interceptors
- kind: ServiceAccount
  name: tekton-triggers-webhook
roleRef:
  kind: Role
  name: tektoncd-anyuid
  apiGroup: rbac.authorization.k8s.io
